module     p0_dubar_emnebar_golem95h0
   use precision_golem, only: ki_gol => ki
   use p0_dubar_emnebar_config, only: ki
   implicit none
   private
   interface reconstruct_group
      module procedure reconstruct_group0
   end interface

   public :: reconstruct_group
contains
!---#[ subroutine reconstruct_group0:
subroutine     reconstruct_group0(coeffs)
   use tens_rec
   use p0_dubar_emnebar_config
   use p0_dubar_emnebar_groups, only: tensrec_info_group0
   use p0_dubar_emnebar_d1h0l1, only: numerator_d1 => numerator_golem95
   use p0_dubar_emnebar_d1h0l1d, only: reconstruct_d1
   implicit none
   type(tensrec_info_group0), intent(out) :: coeffs
   !------#[ Diagram 1:
      if (tens_rec_by_derivatives) then
         call reconstruct_d1(coeffs)
      else
         call reconstruct2(numerator_d1, coeffs%coeffs_1)
      end if
   !------#] Diagram 1:
end subroutine reconstruct_group0
!---#] subroutine reconstruct_group0:
end module p0_dubar_emnebar_golem95h0
